libosmocore 1.13.1.1-afb4 Osmocom core library

Data Fields
osmo_soft_uart Struct Reference

Internal state of a soft-UART. More...

## Data Fields
struct osmo_soft_uart_cfg | cfg
const char * | name
unsigned int | status
struct {
bool running
uint8_t bit_count
uint8_t shift_reg
struct msgb * msg
ubit_t parity_bit
unsigned int flags
struct osmo_timer_list timer
enum suart_flow_state flow_state
} | rx
struct {
bool running
uint8_t bit_count
uint8_t shift_reg
ubit_t parity_bit
enum suart_flow_state flow_state
} | tx

## Detailed Description

Internal state of a soft-UART.

## Field Documentation

## ◆ bit_count

uint8_t osmo_soft_uart::bit_count

Referenced by suart_rx_bit(), and suart_tx_bit().

## ◆ cfg

struct osmo_soft_uart_cfg osmo_soft_uart::cfg

Referenced by osmo_soft_uart_alloc(), osmo_soft_uart_configure(), osmo_soft_uart_flush_rx(), osmo_soft_uart_set_rx(), osmo_soft_uart_set_status(), osmo_soft_uart_tx_ubits(), suart_rx_bit(), suart_rx_ch(), and suart_tx_bit().

## ◆ flags

unsigned int osmo_soft_uart::flags

Referenced by osmo_soft_uart_flush_rx(), suart_rx_bit(), and suart_rx_ch().

## ◆ flow_state

enum suart_flow_state osmo_soft_uart::flow_state

Referenced by osmo_soft_uart_set_rx(), osmo_soft_uart_set_tx(), osmo_soft_uart_tx_ubits(), suart_rx_bit(), suart_tx_bit(), and suart_tx_pending().

## ◆ msg

struct msgb* osmo_soft_uart::msg

Referenced by osmo_soft_uart_flush_rx(), osmo_soft_uart_free(), osmo_soft_uart_set_rx(), suart_rx_ch(), and suart_tx_bit().

## ◆ name

const char* osmo_soft_uart::name

Referenced by osmo_soft_uart_alloc(), osmo_soft_uart_free(), osmo_soft_uart_get_name(), and osmo_soft_uart_set_name().

## ◆ parity_bit

ubit_t osmo_soft_uart::parity_bit

Referenced by suart_rx_bit(), and suart_tx_bit().

## ◆ running

bool osmo_soft_uart::running

Referenced by osmo_soft_uart_rx_ubits(), osmo_soft_uart_set_rx(), osmo_soft_uart_set_tx(), and osmo_soft_uart_tx_ubits().

## ◆

struct { ... } osmo_soft_uart::rx

Referenced by osmo_soft_uart_configure(), osmo_soft_uart_flush_rx(), osmo_soft_uart_free(), osmo_soft_uart_rx_ubits(), osmo_soft_uart_set_rx(), suart_rx_bit(), and suart_rx_ch().

## ◆ shift_reg

uint8_t osmo_soft_uart::shift_reg

Referenced by suart_rx_bit(), and suart_tx_bit().

## ◆ status

unsigned int osmo_soft_uart::status

Referenced by osmo_soft_uart_get_status(), osmo_soft_uart_set_status(), osmo_soft_uart_set_status_line(), and osmo_soft_uart_tx_ubits().

## ◆ timer

struct osmo_timer_list osmo_soft_uart::timer

Referenced by osmo_soft_uart_configure(), osmo_soft_uart_flush_rx(), osmo_soft_uart_free(), and suart_rx_ch().

## ◆

struct { ... } osmo_soft_uart::tx

Referenced by osmo_soft_uart_set_tx(), osmo_soft_uart_tx_ubits(), suart_tx_bit(), and suart_tx_pending().

The documentation for this struct was generated from the following file:

- src/core/soft_uart.c